import { ToolbarButtonComponent } from "@jupyterlab/apputils";
import * as React from "react";
import { style, classes } from "typestyle";
import { addIcon, fileUploadIcon, downloadIcon, closeIcon } from "@jupyterlab/ui-components";
//Toolbar height to align with package toolbar
export const ENVIRONMENTTOOLBARHEIGHT = 40;
export const CondaEnvToolBar = (props) => {
    let refreshClasses = classes("fa", "fa-refresh", Style.StandardButton);
    if (props.isPending) {
        refreshClasses = refreshClasses + " fa-spin";
    }
    return (React.createElement("div", { className: Style.NoGrow },
        React.createElement("div", { className: Style.Title },
            React.createElement("span", { className: Style.Grow }, "Conda environments"),
            React.createElement(ToolbarButtonComponent, { iconClass: refreshClasses, tooltip: "Refresh environments", onClick: props.onRefresh })),
        React.createElement("div", { className: "lm-Widget jp-Toolbar jp-NbConda-EnvToolbar" },
            React.createElement(ToolbarButtonComponent, { icon: addIcon, tooltip: "Create", onClick: props.onCreate }),
            React.createElement(ToolbarButtonComponent, { iconClass: classes("fa", "fa-clone", Style.StandardButton), tooltip: "Clone", onClick: props.onClone, enabled: !props.isBase }),
            React.createElement(ToolbarButtonComponent, { icon: fileUploadIcon, tooltip: "Import", onClick: props.onImport }),
            React.createElement(ToolbarButtonComponent, { icon: downloadIcon, tooltip: "Export", onClick: props.onExport }),
            React.createElement(ToolbarButtonComponent, { icon: closeIcon, tooltip: "Remove", onClick: props.onRemove, enabled: !props.isBase }))));
};
var Style;
(function (Style) {
    Style.Grow = style({
        flexGrow: 1,
        flexShrink: 1
    });
    Style.NoGrow = style({
        flexGrow: 0,
        flexShrink: 0
    });
    Style.StandardButton = style({
        color: "var(--jp-inverse-layout-color3)"
    });
    Style.Title = style({
        color: "var(--jp-ui-font-color1)",
        textAlign: "center",
        fontWeight: "bold",
        fontSize: "var(--jp-ui-font-size2)",
        height: ENVIRONMENTTOOLBARHEIGHT,
        display: "flex",
        flex: "0 0 auto",
        flexDirection: "row"
    });
})(Style || (Style = {}));
//# sourceMappingURL=CondaEnvToolBar.js.map