import { ToolbarButtonComponent } from "@jupyterlab/apputils";
import { HTMLSelect, InputGroup } from "@jupyterlab/ui-components";
import * as React from "react";
import { classes, style } from "typestyle/lib";
export const PACKAGETOOLBARHEIGHT = 40;
export var PkgFilters;
(function (PkgFilters) {
    PkgFilters["All"] = "ALL";
    PkgFilters["Installed"] = "INSTALLED";
    PkgFilters["Available"] = "AVAILABLE";
    PkgFilters["Updatable"] = "UPDATABLE";
    PkgFilters["Selected"] = "SELECTED";
})(PkgFilters || (PkgFilters = {}));
export const CondaPkgToolBar = (props) => {
    let refreshClasses = classes("fa", "fa-refresh", Style.StandardButton);
    if (props.isPending) {
        refreshClasses = refreshClasses + " fa-spin";
    }
    return (React.createElement("div", { className: "lm-Widget jp-NbConda-ToolbarPackages jp-Toolbar" },
        React.createElement("div", { className: "lm-Widget jp-Toolbar-item" },
            React.createElement(HTMLSelect, { value: props.category, onChange: props.onCategoryChanged, "aria-label": "Package filter" },
                React.createElement("option", { value: PkgFilters.All }, "All"),
                React.createElement("option", { value: PkgFilters.Installed }, "Installed"),
                React.createElement("option", { value: PkgFilters.Available }, "Not installed"),
                React.createElement("option", { value: PkgFilters.Updatable }, "Updatable"),
                React.createElement("option", { value: PkgFilters.Selected }, "Selected"))),
        React.createElement("div", { className: "lm-Widget jp-Toolbar-item" },
            React.createElement("div", { className: classes("jp-NbConda-search-wrapper", Style.Search) },
                React.createElement(InputGroup, { className: Style.SearchInput, type: "text", placeholder: "Search Packages", onChange: props.onSearch, value: props.searchTerm, rightIcon: "search" }))),
        React.createElement("div", { className: "lm-Widget jp-Toolbar-spacer jp-Toolbar-item" }),
        React.createElement(ToolbarButtonComponent, { iconClass: classes("fa", "fa-external-link-square", props.hasUpdate ? Style.UpdateButton : Style.StandardButton), onClick: props.onUpdateAll, tooltip: "Update all packages", enabled: props.hasUpdate }),
        React.createElement(ToolbarButtonComponent, { iconClass: classes("fa", "fa-cart-arrow-down", props.hasSelection ? Style.ApplyButton : Style.StandardButton), enabled: props.hasSelection, onClick: props.onApply, tooltip: "Apply package modifications" }),
        React.createElement(ToolbarButtonComponent, { iconClass: classes("fa", "fa-undo", Style.StandardButton), enabled: props.hasSelection, onClick: props.onCancel, tooltip: "Clear package modifications" }),
        React.createElement(ToolbarButtonComponent, { iconClass: refreshClasses, onClick: props.onRefreshPackages, tooltip: "Refresh available packages", enabled: !props.isPending })));
};
var Style;
(function (Style) {
    Style.Toolbar = style({
        alignItems: "center",
        height: PACKAGETOOLBARHEIGHT
    });
    Style.SearchInput = style({
        lineHeight: "normal"
    });
    Style.Search = style({
        padding: "4px"
    });
    Style.StandardButton = style({
        color: "var(--jp-inverse-layout-color3)"
    });
    Style.ApplyButton = style({
        color: "var(--jp-brand-color0)"
    });
    Style.UpdateButton = style({
        color: "var(--jp-accent-color0)"
    });
})(Style || (Style = {}));
//# sourceMappingURL=CondaPkgToolBar.js.map